using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication4
{
    class Program
    {
        static string Ko_je_veci(char a, char b) {
            string str = "";
            if (a > b)
            {
                return Convert.ToString(a);
               
            }
            else if (b > a)
            {
                return Convert.ToString(b);
            }
            else { 
                return Convert.ToString(a) + Convert.ToString(b);
            }
        }
        static void Main(string[] args)
        {
            int prvi_broj = int.Parse(Console.ReadLine());
            int drugi_broj = int.Parse(Console.ReadLine());
            string prvi_broj_u_stringu = Convert.ToString(prvi_broj);
            string drugi_broj_u_stringu = Convert.ToString(drugi_broj);
            string s = Convert.ToString(Math.Max(prvi_broj, drugi_broj)).Substring(0, Math.Max(prvi_broj_u_stringu.Length, drugi_broj_u_stringu.Length) - Math.Min(prvi_broj_u_stringu.Length, drugi_broj_u_stringu.Length));
            if (prvi_broj > drugi_broj)
            {
                prvi_broj_u_stringu = prvi_broj_u_stringu.Substring(s.Length);
            }
            else {
                drugi_broj_u_stringu = drugi_broj_u_stringu.Substring(s.Length);
            }
            for (int i = 0; i < Math.Min(prvi_broj_u_stringu.Length, drugi_broj_u_stringu.Length); i++) {
                s = s + Ko_je_veci(prvi_broj_u_stringu[i], drugi_broj_u_stringu[i]);
            }
            Console.WriteLine(s);
            Console.ReadLine();
        }
    }
}